/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCTB_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCTB_CATEGORYINFO_TEMP') 
 CREATE TABLE T_TCTB_CATEGORYINFO_TEMP (
FID BIGINT DEFAULT 0 NOT NULL,
FKEYID VARCHAR(100) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FCOLLECTMETHOD VARCHAR(100) DEFAULT ' ' NOT NULL,
FPAYMENTPERIOD VARCHAR(100) DEFAULT ' ' NOT NULL,
FORGID VARCHAR(100) DEFAULT ' ' NOT NULL,
FENDDATE DATETIME,
FTAXPLAYERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCTB_TAX_INFO_BASIC') 
 CREATE TABLE T_TCTB_TAX_INFO_BASIC (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FMAINCOMPANY VARCHAR(100) DEFAULT ' ' NOT NULL,
FTAXPAYER VARCHAR(100) DEFAULT ' ' NOT NULL,
FUNIFIEDSOCIALCODE VARCHAR(100) DEFAULT ' ' NOT NULL,
FREGISTERTYPE BIGINT DEFAULT 0 NOT NULL,
FREGISTEREDCAPITAL VARCHAR(100) DEFAULT ' ' NOT NULL,
FREGISTERTIME DATETIME,
FCODEANDNAME BIGINT DEFAULT 0 NOT NULL,
FLEGALPEOPLE VARCHAR(100) DEFAULT ' ' NOT NULL,
FREGISTERADDRESS VARCHAR(50) DEFAULT ' ' NOT NULL,
FACTUALADDRESS BIGINT DEFAULT 0 NOT NULL,
FIDENTITYINFORMATION VARCHAR(100) DEFAULT ' ' NOT NULL,
FACCOUNTINGSTANDARDS VARCHAR(100) DEFAULT ' ' NOT NULL,
FORGID VARCHAR(100) DEFAULT ' ' NOT NULL,
FDECIMALFIELD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADMINDIVISIONFIELD VARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCTB_table.sql **/
